import React from "react";
import GuestAnnouncement from "./GuestAnnouncement";
import UserAnnouncement from "./UserAnnouncement";
import { useTuitioUserInfo } from "@flare/tuitio-client-react";

const AnnouncementsSection = () => {
  const { userInfo, isGuest } = useTuitioUserInfo();
  const loading = !userInfo;

  if (loading) return "";
  return (
    <>
      {isGuest && <GuestAnnouncement />}
      {!isGuest && <UserAnnouncement userData={userInfo} />}
    </>
  );
};

export default AnnouncementsSection;
