import React from "react";
import PropTypes from "prop-types";
import { makeStyles } from "@material-ui/core/styles";
import { Alert, AlertTitle } from "@material-ui/lab";
import styles from "../styles";
import { useTranslation } from "react-i18next";

const useStyles = makeStyles(styles);

export default function UserAnnouncement({ userData }) {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <div className={classes.alert}>
      <Alert variant="outlined" severity="info">
        <AlertTitle>
          {t("Dashboard.Announcements.User.Title", {
            userName: userData.firstName
          })}
        </AlertTitle>
        {t("Dashboard.Announcements.User.Message")}
      </Alert>
    </div>
  );
}

UserAnnouncement.propTypes = {
  userData: PropTypes.object.isRequired
};
